/*
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this code; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  */

/* Copyright (C) 2002 Ian Zimmerman <itz@speakeasy.org> */

static const char rcsid[] = "$Id: gim_errno.c,v 1.3 2002/06/04 06:55:44 itz Exp $ ";

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>
#include <errno.h>

#include "gim_errno.h"
#include "clientcon.h"
#include "gim_event.h"

const char*
gim_error_string (int status)
{
  switch (status) {
  case GIM_SUCCESS: return "success";
  case GIM_CMD_FAILURE: return gim_server_err_message;
  case GIM_CONNECT_ERR_GREETING: return "unrecognized greeting from server";
  case GIM_CONNECT_ERR_VERSION: return "protocol version unsupported by server";
  case GIM_CONNECT_NO_CTTY: return "no terminal specified and no controlling terminal";
  case GIM_GET_EVENT_ERR_PROTOCOL: return "protocol error while reading event";
  case GIM_ERR_UNIX: return strerror(errno);
  default: return "unknown error";
  } /*switch*/
}
